Subject: PHP constants used in YAML loose their type

Description

Associated revisions

Revision e2e7e50c - 2013-02-26 18:31 - Adrian Foder

[BUGFIX] Constants use in YAML Configuration maintains type

If a constant expression in the YAML configuration is used,

for example ““foo: '%PHP_VERSION_ID%"", and the value
exclusively represents this constant (i.e. no additional string
concatenation like “path: '%FLOW_PATH_DATA%Logs/Exception""),
the value is substituted directly in order to maintain the initial

type of the constant.

Prior to this, a ““str_replace™ was done which resulted in a string
in every case no matter if the constant was meant to be an integer,

for example.

Change-Id: labfaddf30156c2eef45a8f658892bfc10435db48
Fixes: #45864

Releases: master, 2.0

Revision 67f0b8b8 - 2013-03-20 16:19 - Adrian Fdder

[BUGFIX] Constants use in YAML Configuration maintains type

If a constant expression in the YAML configuration is used,

for example ““foo: '%PHP_VERSION_ID%"", and the value
exclusively represents this constant (i.e. no additional string
concatenation like ““path: '%FLOW_PATH_DATA%Logs/Exception""),
the value is substituted directly in order to maintain the initial

type of the constant.

Prior to this, a ““str_replace™ was done which resulted in a string
in every case no matter if the constant was meant to be an integer,

for example.

Change-Id: labfaddf30156c2eef45a8f658892bfc10435db48
Fixes: #45864
Releases: master, 2.0

History

#1 - 2013-02-26 18:31 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17690

#2 - 2013-02-26 18:36 - Adrian Foder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e2e7e50c30ac512393095ee3bca008c4fc13e4fb.

#3 - 2013-03-20 16:20 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.

It is available at https://review.typo3.org/19090

#4 - 2013-03-20 16:37 - Adrian Foder
- Status changed from Under Review to Resolved

Applied in changeset commit:67f0b8b80ab981b37f8cc212e7a6669d7bc04ch7.
